Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-6214171

Applet and Object using version(not jpi-version) tag can't coexist at the same time in different IE

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P3
    • Resolution: Cannot Reproduce
    • Affects Version/s: 5.0
    • Fix Version/s: None
    • Component/s: deploy
    • Subcomponent:
    • CPU:
      x86
    • OS:
      windows_xp

      Description

      Effected OS: WinXP SP1
      Browser: IE6

      Scenario:
      1. Install JRE 1.5.0_01 (1.5.0_01-b05) on winxp
      2. Install JRE 1.5.0 (1.5.0-b64) on winxp
      3. Two html. One uses applet tag (see applet.html) and the other uses object tag (see object.html), but in object tag we didn't use jpi-version to force the JPI version.
      3. Run one IE to load applet.html in the attachments
      4. Run another IE to load object.html in the attachements
      5. JPI warning will occur and say there is collision. But it should not.
      6. Also the final sentence of warning message is wrong. It said "close netscape browser", but it uses IE.
      7. It works well in Mozilla

      Notice:
      1. You will notice if you load applet.html independently, it will use JPI version 1.5.0; Otherwise the object.html will use 1.5.0_01.
      2. It seems like Mozilla on windows only use the JPI version latest installed.
      ###@###.### 2005-1-05 10:20:11 GMT

        Attachments

          Activity

            People

            Assignee:
            ccheung Calvin Cheung
            Reporter:
            duke J. Duke (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Imported:
              Indexed: